/*
Audio processing module for lvstream.
lvstream (C) 2005 Martin J. Fiedler <martin.fiedler@gmx.net>

lvstream is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

lvstream is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with lvstream; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef __AUDIO_H__
#define __AUDIO_H__

extern int audio_drops;
extern int expected_frame_size;

#define MAX_AUDIO_BLOCK_SIZE 2048
typedef struct {
  int sample_count;
  uint32_t samples[MAX_AUDIO_BLOCK_SIZE];
} audio_block;

int audio_init(void);
int audio_start(void);
int audio_stop(void);
int audio_close(void);

audio_block *audio_get_next_block(void);
void audio_block_written(void);

#endif/*__AUDIO_H__*/
