/*
Capture module for lvstream.
lvstream (C) 2005 Martin J. Fiedler <martin.fiedler@gmx.net>

lvstream is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

lvstream is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with lvstream; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef __CAPTURE_H__
#define __CAPTURE_H__

#include "main.h"
typedef struct {
  int frameno;
  uint8_t data[DV_FRAMESIZE];
} dv_frame;

extern uint64_t dv_drops;
extern int framedrops;
extern int dv_frameno;
extern int videobuf;
extern int drops_last_second;

int capture_init(void);
int capture_start(void);
int capture_stop(void);
int capture_close(void);

dv_frame *video_get_frame(void);
void video_frame_done(void);
void video_signal_exit(void);

#endif/*__CAPTURE_H__*/
