/*
DV input tool for lvstream.
lvstream (C) 2005 Martin J. Fiedler <martin.fiedler@gmx.net>

lvstream is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

lvstream is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with lvstream; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "system.h"

int main(int argc, char *argv[]) {
  FILE *in;
  unsigned char buf[DV_FRAMESIZE];
  int wait;

  if(argc!=3) {
    printf("%s <dvfile> <framerate>\n",argv[0]);
    return 1;
  }
  wait=1000000/atoi(argv[2]);  

  in=fopen(argv[1],"rb");
  while(!feof(in)) {
    int count=fread(buf,1,DV_FRAMESIZE,in);
    if(count<DV_FRAMESIZE) break;
    fwrite(buf,1,DV_FRAMESIZE,stdout);
    usleep(wait);
  }
  fclose(in);
  fclose(stdout);
  return 0;
}
