/*
DV decoder module (libavcodec wrapper) for lvstream.
lvstream (C) 2005 Martin J. Fiedler <martin.fiedler@gmx.net>

lvstream is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

lvstream is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with lvstream; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef __DVDECODE_H__
#define __DVDECODE_H__

#include "audio.h"

typedef struct {
  uint8_t *Y,*U,*V;
  int Ystride,Cstride;
} frame_data;

int dvdecode_init(void);
int dvdecode_close(void);

int dvdecode_extract_audio(uint8_t *frame, audio_block *ab);
int dvdecode_decode_video(uint8_t *frame, frame_data *fd);

#endif/*__DVDECODE_H__*/
