/*
Command line options parser for lvstream.
lvstream (C) 2005 Martin J. Fiedler <martin.fiedler@gmx.net>

lvstream is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

lvstream is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with lvstream; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef __OPTIONS_H__
#define __OPTIONS_H__

#ifdef __INCLUDED_FROM_OPTIONS_C__
#define GLOBAL
#else
#define GLOBAL extern
#endif

GLOBAL char* config_file;
#ifdef CAPTURE_RAW1394
GLOBAL int port;
#endif
GLOBAL int aud_samplerate;
GLOBAL int aud_channels;
GLOBAL int aud_bitrate;
GLOBAL int aud_quality;
GLOBAL int keyframe_interval;
GLOBAL int force_keyframe_interval;
GLOBAL int lo_bitrate;
GLOBAL int hi_bitrate;
GLOBAL int au_length;
GLOBAL int me_quality;
GLOBAL int framedrop_tolerance;
GLOBAL char *output_dir;
GLOBAL char *ogm_output;
GLOBAL char *sprite_file;
GLOBAL char *sprite_origin;
GLOBAL int deint_strength;
GLOBAL int benchmark;

void set_default_options(void);
int preparse_cmdline(int argc, char *argv[]);
void load_config(void);
int parse_cmdline(int argc, char *argv[]);

#endif/*__OPTIONS_H__*/
