/*
Video system defines for lvstream.
lvstream (C) 2005 Martin J. Fiedler <martin.fiedler@gmx.net>

lvstream is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

lvstream is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with lvstream; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef __SYSTEM_H__
#define __SYSTEM_H__

#define DV_CHANNEL 63
#define SAMPLERATE 48000

#ifdef PAL

#define SYSTEM "PAL"
#define FRAMERATE 25
#define DV_FRAMESIZE 144000
#define IN_WIDTH     720
#define IN_HEIGHT    576

#else
#ifdef NTSC

#define SYSTEM "NTSC"
#define FRAMERATE 30
#define DV_FRAMESIZE 120000
#define IN_WIDTH     720
#define IN_HEIGHT    480

#else
#error unknown video system specified
#endif
#endif

#define SAMPLES_PER_FRAME (SAMPLERATE/FRAMERATE)

#define HI_WIDTH     (IN_WIDTH&(~31))
#define HI_HEIGHT    (IN_HEIGHT&(~31))
#define LO_WIDTH     (HI_WIDTH/2)
#define LO_HEIGHT    (HI_HEIGHT/2)
#define BLOCKWIDTH   (HI_WIDTH/8)
#define BLOCKHEIGHT  (HI_HEIGHT/8)
#define BLOCKWIDTH2  (LO_WIDTH/8)
#define BLOCKHEIGHT2 (LO_HEIGHT/8)
#define STARTX ((IN_WIDTH-HI_WIDTH)/2)

#ifdef CAPTURE_RAW1394
#define CAPTURE_MODULE "raw1394"
#else
#ifdef CAPTURE_PIPE
#define CAPTURE_MODULE "pipe"
#else
#error unknown capture module
#endif
#endif

#endif/*__SYSTEM_H__*/
