#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>
#include <string.h>

#define FILENAME "test_hi.ogm"
#define STREAM_ID 0

#pragma pack(push,1)
typedef struct {
  uint8_t O,g1,g2,S;
  uint8_t version;
  uint8_t header_type;
  int64_t granule_position;
  uint32_t bitstream_serial_number;
  uint32_t page_sequence_number;
  uint32_t CRC_checksum;
  uint8_t page_segments;
  uint8_t segment_table[255];
} ogghdr;
#pragma pack(pop)

int main(void) {
  uint8_t *data;
  FILE *f=fopen(FILENAME,"rb");
  int size,pos=0;
  int packet=0;
  fseek(f,0,SEEK_END);
  size=ftell(f);
  fseek(f,0,SEEK_SET);
  data=malloc(size);
  fread(data,1,size,f);

  while(pos<size) {
    ogghdr *h=(ogghdr*)(&data[pos]);
    int i;
    printf("%c%c%c%c%d@%d type=%d (",
      h->O,h->g1,h->g2,h->S,h->version,pos,h->header_type);
    if(h->header_type&0x01) printf("Cont");
    if(h->header_type&0x02) printf("Bos");
    if(h->header_type&0x04) printf("Eos");
    printf(") pts=%lld serial=%d seq=%d CRC=%08X segs=%d\n",
      h->granule_position,h->bitstream_serial_number,h->page_sequence_number,
      h->CRC_checksum,h->page_segments);
    for(i=0; i<h->page_segments; ++i) {
      pos+=h->segment_table[i]+1;
      if(h->bitstream_serial_number==STREAM_ID && h->segment_table[i]!=0xFF)
        printf("packet #%d ends here\n",packet++);
    }
    pos+=27;
  }

  return 0;
}
